curl --request GET \
--url https://api.runtools.ai/v1/threads/{threadId}/activity \
--header 'Authorization: Bearer <token>'{
"data": {
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorType": "user",
"resourceType": "<string>",
"resourceId": "<string>",
"eventType": "<string>",
"severity": "info",
"status": "<string>",
"title": "<string>",
"summary": "<string>",
"attributes": {},
"threadId": "<string>",
"agentRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandboxId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toolSlug": "<string>",
"installableAgentInstallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runmeshNodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"codeExecutionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"hasMore": true,
"nextCursor": "<string>"
}curl --request GET \
--url https://api.runtools.ai/v1/threads/{threadId}/activity \
--header 'Authorization: Bearer <token>'{
"data": {
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorType": "user",
"resourceType": "<string>",
"resourceId": "<string>",
"eventType": "<string>",
"severity": "info",
"status": "<string>",
"title": "<string>",
"summary": "<string>",
"attributes": {},
"threadId": "<string>",
"agentRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandboxId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toolSlug": "<string>",
"installableAgentInstallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runmeshNodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"codeExecutionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"hasMore": true,
"nextCursor": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
Use this file to discover all available pages before exploring further.
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Maximum number of rows to return.
1 <= x <= 500Opaque pagination cursor returned by a prior page.